Package org.pentaho.reporting.libraries.formula.function.logical

# Class OrFunction

java.lang.Object
org.pentaho.reporting.libraries.formula.function.logical.OrFunction

All Implemented Interfaces:
  `Serializable`, `Function`

public class OrFunction extends Object implements Function
Creation-Date: 04.11.2006, 18:28:15

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`OrFunction()`

## Method Summary

Modifier and Type
Method
Description
`TypeValuePair`
`evaluate(FormulaContext context, ParameterCallback parameters)`
`String`
`getCanonicalName()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### OrFunction

public OrFunction()

## Method Details

### getCanonicalName

public String getCanonicalName()

Specified by:
  `getCanonicalName` in interface `Function`

### evaluate

public TypeValuePair evaluate(FormulaContext context, ParameterCallback parameters) throws EvaluationException

Specified by:
  `evaluate` in interface `Function`
Throws:
  `EvaluationException`